{% extends 'base.html.twig' %}

{% block title %}{% endblock %}

{% block body %}
    {% set date = article.updateAt ? article.updateAt : article.createdAt %}
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
                <div class="article">
                    <h1 class="singleArtTitle"><span>{{ article.chapter }}</span> - {{ article.title }}</h1>
                    <span class="dateArt">Ajouté le {{ date|date("d-m-Y") }}</span>
                    <p class="singleArtContent">{{ article.content|raw }}</p>
                    {% if article.updateAt %}
                        <span class="small">Mis à jour le {{ article.updateAt|date("d-m-Y") }}</span>
                    {% endif %}
                </div>
                {% include 'forms/add_main_comment.html.twig' %}
                {% include 'error/error_js.html.twig' %}


                <ul class="list-group textComment">
                    {% for commentFirstLevel in article.comments %}
                    <li class="list-group-item">
                        <div class="row">
                            <div class="col-md-8">
                                <p>
                                    {{ commentFirstLevel.firstname|raw }} - {{ commentFirstLevel.content|raw }}
                                </p>
                            </div>
                            <div class="col-md-4">
                                <p>


                                    <a href="{{ path('notify_comment', {'articleId': article.id, 'commentId': commentFirstLevel.id}) }}">
                                        <button class="btn-xs btn-clipboard">
                                            Signaler
                                        </button>
                                    </a>
                                    <a href="{{ path('add_comment_to_comment', {'commentId': commentFirstLevel.id}) }}">
                                        <button class="btn-xs btn-clipboard">
                                            Ajouter commentaire
                                        </button>
                                    </a>
                                </p>
                            </div>
                        </div>


                        <ul class="list-group">
                            {% for commentSecondLevel in commentFirstLevel.comments %}
                                <li class="list-group-item second-comment">
                                    <div class="row">
                                        <div class="col-md-8">
                                            <p>
                                                {{ commentSecondLevel.firstname|raw }}
                                                - {{ commentSecondLevel.content|raw }}
                                            </p>

                                        </div>
                                        <div class="col-md-4">
                                            <p>
                                                <a href="{{ path('notify_comment', {'articleId': article.id, 'commentId': commentSecondLevel.id}) }}">
                                                    <button class="btn-xs btn-clipboard">
                                                        Signaler
                                                    </button>
                                                </a>
                                                <a href="{{ path('add_comment_to_comment', {'commentId': commentSecondLevel.id}) }}">
                                                    <button class="btn-xs btn-clipboard">
                                                        Ajouter commentaire
                                                    </button>
                                                </a>
                                            </p>
                                        </div>
                                    </div>
                                    <ul class="list-group">
                                        {% for commentThirdLevel in commentSecondLevel.comments %}
                                            <li class="list-group-item third-comment">
                                                <div class="row">
                                                    <div class="col-md-8">
                                                        <p>
                                                            {{ commentThirdLevel.firstname|raw }}
                                                            - {{ commentThirdLevel.content|raw }}
                                                        </p>
                                                    </div>
                                                    <div class="col-md-4">
                                                        <p>
                                                            <a href="{{ path('notify_comment', {'articleId': article.id, 'commentId': commentThirdLevel.id}) }}">
                                                                <button class="btn-xs btn-clipboard">
                                                                    Signaler
                                                                </button>
                                                            </a>
                                                        </p>
                                                    </div>
                                                </div>
                                            </li>
                                        {% endfor %}
                                    </ul>
                                </li>
                            {% endfor %}

                        </ul>
                        {% endfor %}
                    </li>
                </ul>
            </div>
        </div>
    </div>
{% endblock %}
